aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/install.sh b/scripts/install.sh
index 6f93f2b..357c5e8 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -3,11 +3,13 @@
# Install XDS agent as a user systemd service
DESTDIR=${DESTDIR:-/opt/AGL/xds/agent}
+DESTDIR_WWW=${DESTDIR_WWW:-${DESTDIR}/www}
ROOT_SRCDIR=$(cd $(dirname "$0")/.. && pwd)
install() {
mkdir -p ${DESTDIR} && cp ${ROOT_SRCDIR}/bin/* ${DESTDIR} || exit 1
+ mkdir -p ${DESTDIR_WWW} && cp -a ${ROOT_SRCDIR}/webapp/dist/* ${DESTDIR_WWW} || exit 1
cp ${ROOT_SRCDIR}/conf.d/etc/xds-agent /etc/ || exit 1
cp ${ROOT_SRCDIR}/conf.d/etc/default/xds-agent /etc/default/ || exit 1